INSTALL(1)

NAAM
install - kopieer bestanden en stel attributen in

SAMENVATTING
install [OPTIE]... [-T] BRON DOEL
install [OPTIE]... BRON... MAP
install [OPTIE]... -t MAP BRON...
install [OPTIE]... -d MAP...

BESCHRIJVING

Dit programma kopieert bestanden (vaak zojuist gecompileerd) naar door u gekozen bestemmingen. Als u een kant-en-klaar pakket wilt downloaden en installeren op een GNU/Linux-systeem, dan kunt u beter een pakketbeheerder zoals yum(1) of apt-get(1) gebruiken.

Bij de eerste drie aanroepvormen wordt BRON naar DOEL gekopieerd, of BRONnen naar een bestaande MAP, terwijl rechten, eigenaar en groep ingesteld worden. Bij de vierde vorm worden alle componenten van de gegeven MAP(pen) aangemaakt.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

--backup[=METHODE]
    van elk bestemmingsbestand een reservekopie maken

-b  als --backup, maar accepteert geen argument

-c  (genegeerde optie)

-C, --compare
    inhoud van bron- en bestemmingsbestanden vergelijken, als er geen verandering was van de inhoud, eigenaarschap en rechten, wijzig dan de bestemming in het geheel niet

-d, --directory
    alle argumenten als map namen behandelen; van de gegeven mappen alle componenten aanmaken

-D  alle componenten van DOEL aanmaken behalve de laatste, of alle componenten van de --target-directory map, en dan BRON naar DOEL kopiëren

--debug
    leg uit hoe een bestand werd gekopieerd. Impliceert -v

-g, --group=GROEP
    deze groep instellen i.p.v. groep van huidig proces

-m, --mode=MODUS
    deze toegangsrechten instellen i.p.v. 'rwxr-xr-x'

-o, --owner=GEBRUIKER
    deze eigenaar instellen (alleen voor systeembeheerder)

-p, --preserve-timestamps
    alle tijdsstempels van bronbestanden overnemen in de overeenkomstige bestemmingsbestanden

-s, --strip
    verwijder symbooltabellen

--strip-program=PROGRAMMA
    te gebruiken programma voor het strippen

-S, --suffix=ACHTERVOEGSEL
    te gebruiken achtervoegsel voor reservekopieën

-t, --target-directory=MAP
    alle BRON-argumenten naar MAP kopiëren

-T, --no-target-directory
    DOEL als een normaal bestand behandelen

-v, --verbose
    de naam van elk aangemaakt bestand of aangemaakte map tonen

--preserve-context
    de SELinux-beveiligingscontext behouden

-Z  de SELinux-beveiligingscontext van doelbestand en elke aangemaakte map op standaard instellen

--context[=CNTXT]
    zoals -Z, of als CNTXT is opgegeven zet dan de SELinux en SMACK beveiligingscontext op CNTXT

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Het reservekopie-achtervoegsel is '~', tenzij anders ingesteld met --suffix of via omgevingsvariable SIMPLE_BACKUP_SUFFIX. Het versiebeheer kan worden ingesteld met de optie --backup of via omgevingsvariabele VERSION_CONTROL; dit zijn de mogelijke waarden (methodes):

none, off
    nooit reservekopieën maken (zelfs niet met --backup)

numbered, t
    genummerde reservekopieën maken

existing, nil
    genummerde reserves maken als er al zijn, anders eenvoudig

simple, never
    altijd eenvoudige reservekopieën maken

AUTEUR
Geschreven door David MacKenzie.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
cp(1)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/install>
of lokaal via: info '(coreutils) install invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.